Subject: Re: [PATCH v2 1/2] net: page_pool: check page pool ethtool stats

From: Ilias Apalodimas <[email-masked]>
Date: Wed, 25 Oct 2023 08:59:44 +0300

Hi Jakub,

On Mon, Oct 02, 2023 at 12:46:50PM -0700, Jakub Kicinski wrote:
> On Sun, 1 Oct 2023 13:41:15 +0200 Sven Auhagen wrote:
> > If the page_pool variable is null while passing it to
> > the page_pool_get_stats function we receive a kernel error.
> >
> > Check if the page_pool variable is at least valid.
>
> IMHO this seems insufficient, the driver still has to check if PP
> was instantiated when the strings are queried. My weak preference
> would be to stick to v1 and have the driver check all the conditions.
> But if nobody else feels this way, it's fine :)

I don't disagree, but OTOH it would be sane for the API not to crash if
something invalid is passed.  Maybe the best approach would be to keep the
driver checks, which are saner, but add the page pool code as well with a
printable error indicating a driver bug?

Thanks
/Ilias